summaryrefslogtreecommitdiff
path: root/source4/script/tests/win/wintest_rpc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/tests/win/wintest_rpc.sh')
-rwxr-xr-xsource4/script/tests/win/wintest_rpc.sh23
1 files changed, 13 insertions, 10 deletions
diff --git a/source4/script/tests/win/wintest_rpc.sh b/source4/script/tests/win/wintest_rpc.sh
index 40a981e56d..34c195b074 100755
--- a/source4/script/tests/win/wintest_rpc.sh
+++ b/source4/script/tests/win/wintest_rpc.sh
@@ -37,6 +37,14 @@ bind_options="seal,padcheck bigendian"
test_type="ncalrpc ncacn_np ncacn_ip_tcp"
all_errs=0
+
+on_error() {
+ errstr=$1
+ all_errs=`expr $all_errs + 1`
+
+ restore_snapshot $errstr "$VM_CFG_PATH"
+}
+
for o in $bind_options; do
for transport in $test_type; do
case $transport in
@@ -47,17 +55,12 @@ for o in $bind_options; do
for t in $rpc_test; do
test_name="$t on $transport with $o"
- old_errs=$all_errs
- testit "$test_name" $SMBTORTURE_BIN_PATH \
- -U $username%$password \
- -W $domain \
- $transport:$server[$o] \
- $t || all_errs=`expr $all_errs + 1`
- if [ $old_errs -lt $all_errs ]; then
- restore_snapshot "\n$test_name failed."
- fi
+
+ $SMBTORTURE_BIN_PATH -U $username%$password \
+ -W $domain $transport:$server[$o] \
+ $t || on_error "\n$test_name failed."
done
done
done
-testok $0 $all_errs
+exit $all_errs